<?php
//共通
require_once '../../base/common.php';
require_once '../../util/combo.php';
require_once './allways.php';

$logger = new logger(basename(__FILE__));
$logger->info("===af203x_index_start===");
$logger->info('post', $_POST);

global $stringUtil;
$valutil = new getValueUtil();

//コンボボックス作成
$listutil = null;
$listutil = new getListUtil();
$assign_var["listGdcls9"] = $listutil->getListAfm90('6'); //改廃区分

$header = array(
);


try {

  $retAxm994_CSTCHK = $valutil->getAxm994('AF203X'); //単価チェック 0:しない、1:する
  $header["cstchk"] = $stringUtil->nvl($retAxm994_CSTCHK["r03"],'0');
  
  $retAxm994_CUTAXCLS = $valutil->getAxm994('CUTAXCLS'); //総額得意先の単価入力制御 0:税抜入力, 1:税込入力
  $header["cutaxcls"] = $retAxm994_CUTAXCLS["r01"];


  //livlaboでは、初期子画面表示しない。かつ、初期値は「商品」「当日」
  $header["nodspselectjmcat"] = $stringUtil->nvl($retAxm994_CSTCHK["r01"],'0');
  //livlaboでは、登録時伝票印字区分を画面表示しない。
  $header["nodspselectpkbn"] = $stringUtil->nvl($retAxm994_CSTCHK["r01"],'0');


  $header["sdday"] = $_SESSION[$GLOBALS['SYSTEM_NAME_EN']]["SDDAY"];

} catch(userException $ue) {
  $assign_var["hasError"] = true;
  $assign_var["errorMsg"] = $ue->getMessage();
} catch(Exception $e) {
  $assign_var["hasError"] = true;
  $assign_var["errorMsg"] = $e->getMessage();
}

$assign_var["header"] = $header;
$logger->info("header", $header);

//POPUP
$assign_var["hasPopCucd"] = "1";
$assign_var["hasPopCuscd"] = "1";
$assign_var["hasPopJan"] = "1";
$assign_var["hasPopKtktcd"] = "1";
$assign_var["hasPopCshcd"] = "1";
$assign_var["hasPopChgcd"] = "1";
$assign_var["hasPopAf203x1"] = "1";
$assign_var["hasPopAf203x2"] = "1";
//$assign_var["hasPopAf2003x"] = "1";

// 初期表示
$dataList = Array(
);
$obj = [];
array_push($dataList, $obj);

$logger->info("dataList", $dataList);
$assign_var["dataList"] = $dataList;

//Smartyへアサイン
$logger->info("assign_var",$assign_var);
$smarty->assign($assign_var);
$smarty->display("index");

$logger->info("=== af203x_index_end ===");
?>
